#include "testlib.h"
#include <bits/stdc++.h>
 
using namespace std;
 
int main(int argc, char* argv[])
{
    registerGen(argc, argv, 1);
    int n = opt<int>(1);
    int pplus=opt<int>(2);
    int psync=opt<int>(3);
    int has=opt<int>(4);
    cout<<n<<endl;
    for(int i=0;i<n;++i) {
        int op1=rnd.next(1,1000);
        char op;
        if(op1<=pplus) {
            op='+';
        }
        else {
            op='=';
        }
        int v=rnd.next(1,500);
        int sy1=rnd.next(1,1000);
        string sy;
        if(sy1<=psync) {
            sy="sync";
        }
        else {
            sy="async";
        }
        cout<<op<<' '<<v<<' '<<sy<<endl;
    }
}